package com.example.bookingapp_austinblanke;

import androidx.appcompat.app.ActionBar;
import androidx.appcompat.app.AppCompatActivity;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;

import android.app.assist.AssistStructure;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.provider.ContactsContract;
import android.view.View;
import android.widget.CheckBox;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

import java.util.ArrayList;

public class MyBookingsActivity extends AppCompatActivity {
    adapter2 adapterObj;
    ArrayList<String> bookingList;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.mybookings_activity);

        DatabaseConnector connector = new DatabaseConnector(this, null);

        bookingList = new ArrayList<>();
        bookingList = connector.bookings();


        RecyclerView recyclerObj = findViewById(R.id.myBookingsPage);
        recyclerObj.setLayoutManager(new LinearLayoutManager(this));
        adapterObj = new adapter2(this, bookingList);
        recyclerObj.setAdapter(adapterObj);


    }

    public void performanceBack(View view){
        Intent intent = new Intent(this, MainActivity.class);
        startActivity(intent);
    }

    public void toBooking(View view){toBooking();}

    private void toBooking(){

        EditText BID = findViewById(R.id.bookingID);
        Intent intent = new Intent(this, SingleBookingActivity.class);
        Bundle bundle = new Bundle();
        bundle.putString("BID", BID.getText().toString());
        intent.putExtras(bundle);
        startActivity(intent);

    }
}


